aiengine: xaietile_proc.c File Reference

| aiengine Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List

xaietile_proc.c File Reference

## Overview

This file contains the API for AIE tile processor.

    MODIFICATION HISTORY:

    Ver   Who     Date     Changes

    1.0  Hyun    08/17/2018  Initial creation
    1.1  Hyun    10/15/2018  Don't start the remoteproc in elfloading to allow
                             multiple elfloading.
    1.2  Nishad  12/05/2018  Renamed ME attributes to AIE

XAieGbl_Config | XAieGbl_ConfigTable []
| The configuration table for each AIE device. More...
u32 | XAieTileProc_LoadElfFile (XAieGbl_Tile *TileInstPtr, u8 *ElfPtr, u8 LoadSym)
| This is the tile processor function to load an elf from a file. More...
u32 | XAieTileProc_LoadElfMem (XAieGbl_Tile *TileInstPtr, u8 *ElfPtr, u8 LoadSym)
| This is the tile processor function to load an elf from memory. More...
u32 | XAieTileProc_Finish (XAieGbl_Tile *TileInstPtr)
| This is the tile processor function to free the remoteproc instance. More...
u32 | XAieTileProc_Init (XAieGbl_Tile *TileInstPtr)
| This is the tile processor function to initialize the remoteproc instance. More...

## Function Documentation

u32 XAieTileProc_Finish | ( | XAieGbl_Tile * | TileInstPtr | ) |

This is the tile processor function to free the remoteproc instance.

Parameters

  TileInstPtr,: | Tile instance pointer of common AIE driver

Returns
  XAIELIB_SUCCESS on success, otherwise XAIELIB_FAILURE.

Note
  None.

References XAieGbl_Tile::Private.

u32 XAieTileProc_Init | ( | XAieGbl_Tile * | TileInstPtr | ) |

This is the tile processor function to initialize the remoteproc instance.

Parameters

  TileInstPtr,: | Tile instance pointer of common AIE driver

Returns
  XAIELIB_SUCCESS on success, otherwise XAIELIB_FAILURE.

Note
  None.

References XAieGbl_Tile::Private.

Referenced by XAieLib_InitTile().

u32 XAieTileProc_LoadElfFile | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 * | ElfPtr,
|  | u8 | LoadSym
| ) |  |

This is the tile processor function to load an elf from a file.

Parameters

  TileInstPtr,: | Tile instance pointer of common AIE driver
  ElfPtr,: | a path to an elf file
  LoadSym,: | UNUSED. Kept for compatibility

Returns
  XAIELIB_SUCCESS on success, otherwise XAIELIB_FAILURE. The return code is also passed from xaietileproc_load().

Note
  None.

u32 XAieTileProc_LoadElfMem | ( | XAieGbl_Tile * | TileInstPtr,
|  | u8 * | ElfPtr,
|  | u8 | LoadSym
| ) |  |

This is the tile processor function to load an elf from memory.

Parameters

  TileInstPtr,: | Tile instance pointer of common AIE driver
  ElfPtr,: | pointer to elf in memory
  LoadSym,: | UNUSED. Kept for compatibility

Returns
  XAIELIB_SUCCESS on success, otherwise XAIELIB_FAILURE. The return code is also passed from xaietileproc_load().

Note
  None.

## Variable Documentation

XAieGbl_Config XAieGbl_ConfigTable[]

The configuration table for each AIE device.

XAIE_BASE_ARRAY_ADDR_OFFSET macro defines the AI Engine's base address offset value.